<?php
/**
 * @copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access.
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
?>

<script type="text/javascript">
	Joomla.submitbutton	= function(task) {
		if (task == 'mood.cancel' || document.formvalidator.isValid(document.id('mood-form'))) {
			Joomla.submitform(task, document.getElementById('mood-form'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_moodpoll&layout=edit&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="mood-form" class="form-validate">
	<div class="row-fluid">

		<div class="span10 form-horizontal">
			<fieldset>
				<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'details')); ?>
					<?php echo JHtml::_('bootstrap.addTab', 'myTab', 'details', empty($this->item->id) ? JText::_('COM_MOODPOLL_MOOD_NEW') : JText::sprintf('COM_MOODPOLL_MOOD_EDIT', $this->item->id)); ?>

						<div class="control-group">
							<?php echo $this->form->getLabel('title'); ?>
							<div class="controls"><?php echo $this->form->getInput('title'); ?></div>
						</div>
						<div class="control-group">
							<?php echo $this->form->getLabel('image'); ?>
							<div class="controls"><?php echo $this->form->getInput('image'); ?></div>
						</div>
						<div class="control-group">
							<?php echo $this->form->getLabel('ordering'); ?>
							<div class="controls"><?php echo $this->form->getInput('ordering'); ?></div>
						</div>
						<div class="control-group">
							<?php echo $this->form->getLabel('message'); ?>
							<div class="controls"><?php echo $this->form->getInput('message'); ?></div>
						</div>

						<div class="control-group">
							<?php echo $this->form->getLabel('id'); ?>
							<div class="controls"><?php echo $this->form->getInput('id'); ?></div>
						</div>

					<?php echo JHtml::_('bootstrap.endTab'); ?>

					<?php $fieldSets = $this->form->getFieldsets('params'); ?>
					<?php foreach ($fieldSets as $name => $fieldSet) : ?>
						<?php $paramstabs = 'params-' . $name; ?>
						<?php echo JHtml::_('bootstrap.addTab', 'myTab', $paramstabs, JText::_($fieldSet->label, true)); ?>
							<?php echo $this->loadTemplate('params'); ?>
						<?php echo JHtml::_('bootstrap.endTab'); ?>
					<?php endforeach; ?>
				<?php echo JHtml::_('bootstrap.endTabSet'); ?>
			</fieldset>
		</div>

		<div class="span2">
			<?php echo JLayoutHelper::render('joomla.edit.global', $this); ?>
		</div>
	</div>

	<input type="hidden" name="task" value="" />
	<input type="hidden" name="return" value="<?php echo JFactory::getApplication()->input->getCmd('return');?>" />
	<?php echo JHtml::_('form.token'); ?>
</form>

<?php
echo MoodPollFactory::getFooter();