<?php
/**
 * @copyright	@copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die;

// include the syndicate functions only once
require_once dirname(__FILE__) . '/helper.php';

$id				= $module->id;
$model			= modMoodPollHelper::getModel($params);
$items			= $model->getItems();
$checkPerm		= $model->checkPermission();
$totalVotes		= $model->getTotalVotes();
$chosenMood		= $model->getChosenMood();
$message		= null;
$config			= JComponentHelper::getParams('com_moodpoll');
$instruction	= $config->get('instruction');

JHtml::_('bootstrap.tooltip', '.moodpoll img');
JHtml::_('script', 'com_moodpoll/script.js', array(), true);
JHtml::_('stylesheet', 'com_moodpoll/style.css', array(), true);
modMoodPollHelper::generateStyle('#moodpoll-' . $id, $params);

$class_sfx	= htmlspecialchars($params->get('class_sfx'));
$layout		= $params->get('layout', 'default');

require JModuleHelper::getLayoutPath('mod_moodpoll', $layout);