<?php
/**
 * @copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// no direct access
defined('_JEXEC') or die;

$show_mood_title	= $params->get('show_mood_title', 1);

?>

<form class="moodpoll-form" action="<?php echo JRoute::_('index.php'); ?>">
	<ul class="clearfix moodpoll-moods">

		<?php foreach ($items as $item) : ?>
			<li class="moodpoll-image" data-mood-id="<?php echo $item->id; ?>">
				<?php echo JHtml::_('image', $item->image, $item->title, $show_mood_title ? '' : 'title="' . $item->title . '"'); ?>

				<?php if ($show_mood_title) : ?>
					<p><?php echo $item->title; ?></p>
				<?php endif; ?>
			</li>
		<?php endforeach; ?>
	</ul>

	<div class="moodpoll-buttons">
		<p class="moodpoll-error-select">
			<?php echo JText::_('MOD_MOODPOLL_SELECT_MOOD'); ?>
		</p>

		<?php if ($checkPerm != -1) : ?>
			<p class="moodpoll-error-permission">
				<?php echo $instruction; ?>
			</p>
		<?php else : ?>
			<button class="btn btn-success moodpoll-vote-btn" type="submit">
				<?php echo JText::_('MOD_MOODPOLL_SUBMIT_VOTE'); ?>
			</button>
		<?php endif; ?>

		<button type="button" class="btn moodpoll-view-result-btn" data-show="1" data-show-result="<?php echo JText::_('MOD_MOODPOLL_SHOW_RESULT'); ?>" data-hide-result="<?php echo JText::_('MOD_MOODPOLL_HIDE_RESULT'); ?>">
			<?php echo JText::_('MOD_MOODPOLL_HIDE_RESULT'); ?>
		</button>
	</div>

	<input type="hidden" name="module_id" value="<?php echo $module->id; ?>" />
</form>