<?php
/**
 * @copyright	Copyright (c) 2014 Skyline Technology Ltd (http://extstore.com). All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access.
defined('_JEXEC') or die;

/**
 * Mood Controller Class.
 *
 * @package		Joomla.Administrator
 * @subpakage	ExtStore.MoodPoll
 */
class MoodPollControllerMood extends JControllerForm {

	/**
	 * Method to run batch operations.
	 *
	 * @return	void
	 */
	public function batch($model = null) {
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));

		// Set the model
		$model	= $this->getModel('Mood', '', array());

		// Preset the redirect
		$this->setRedirect(JRoute::_('index.php?option=com_moodpoll&view=moods' . $this->getRedirectToListAppend(), false));

		return parent::batch($model);
	}
}